html, body {
  height: 100%;
}

header {
  top: 0;
  background-color: rgb(221, 176, 29);
  position: sticky;
  height: 50px;
}

nav {
  background-color: rgb(219, 16, 70);
}

main {
  background-color: bisque;
  min-height: calc(100vh - 90px);
}

aside {
  background-color: blueviolet;
}

footer {
  background-color: brown;
  height: 40px;
}